Subject: Re: CCL:OPLS-AA in Tinker

From: Mark Forster <[email-masked]>
Date: Wed, 31 May 2000 14:49:39 +0100

Dear Galina

As I understand it the procedure with adding parameters to Tinker is the following

1) Make sure that every atom in the tinker coordinate (.xyz) file has an atom type
    defined - eg 21 for the carboxylic C atom in your example.
2) Look in the relevant .key file to find the name of the parameter file (.prm)
    that is being used.
3) make an entry in the .prm file of the format

bond        21        26        656.0          1.250
                                         ^                 ^
                                         force            bond
                                         constant       length

4) One you fix up the bond length parameters, you will most
    likely have to do the same for angle and torsion types.
5) To test the parameter file modifications run the analyze.x
    program using your .xyz and .key files as input.

Hope this helps.

Mark F

Galina Chaban wrote:

> Hello everyone,
>
> I would like to do a calculation of glycine molecule using
> Tinker program and OPLS-AA potential.
>
> I wanted to use these atom types for glycine carboxyl group:
> atom    107    21    C       "COOH Carboxylic Acid"      6     12.000     3
> atom    108    26    OH      "OH Carboxylic Acid"        8     15.999     2
> atom    109    22    O       "C=O Carboxylic Acid"       8     15.999     1
> atom    110     8    HO      "COOH Carboxylic Acid"      1      1.008     1
> and these for amine group:
> atom     70    19    NT      "NH2 Primary Amine"         7     14.007     3
> atom     71    20    H2      "HN Primary Amine"          1      1.008     1
>
> However, when I try to run it, the program stops with the message that
> some parameters are not found. When I check the parameters file,
> I can see that indeed many parameters are missing: for example,
> bond parameters for atom pairs 21-26, 26-8, 19-20.
>
> Has anyone experienced this problem? How could I get the missing
> parameter values?
> I would appreciate any suggestions and references that could help.
>
> Galina
> -------------------------------------------------------------------
> Dr. Galina Chaban
> Fritz Haber Research Center for
> Molecular Dynamics.
> Hebrew University of Jerusalem
> Jerusalem, Israel 91904
> Tel:   972-2-6585936
> Fax:   972-2-6513742
> e-mail: [email-masked]
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody    |   [email-masked] -- To Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]

--

  Dr Mark J Forster Ph.D.
  Principal Scientist
  Informatics Laboratory
  National Institute for Biological Standards and Control
  Blanche Lane, South Mimms,
  Hertfordshire EN6 3QG, United Kingdom.

  Tel  +44 (0)1707 654753
  FAX  +44 (0)1707 646730
  E-mail  [email-masked]